Document management
Endpoints to upload documents to EverReal and link them to different objects
Introduction
Endpoints
Upload a document with metadata
// The type of document
type?: DOCUMENT_TYPES;
// Link a document to a tenant by id
tenantId?: string;
// Link the document to a unit by id
unitId?: string;
// Link the document to a property by id
propertyId?: string;
// Link the document to a property group by id
propertyGroupId?: string;
enum DOCUMENT_TYPES {
// default document type
DOCUMENT = "DOCUMENT",
// rental application of a tenant, passed during rental process
RENTAL_APPLICATION = "RENTAL_APPLICATION",
// contract with a tenant or buyer
CONTRACT = "CONTRACT",
// move-in protocol
MOVE_IN = "MOVE_IN",
// move-out protocol
MOVE_OUT = "MOVE_OUT",
// pre-move-in protocol
PRE-MOVE_IN = "PRE-MOVE_IN",
// selling protocol
SELLING = "SELLING",
}Upload a document with metadata
Request Body
Name
Type
Description
Delete a document by id
Deletes a document by id
Path Parameters
Name
Type
Description
Get all documents metadata and / or apply filters
Get all documents metadata from a company and filter
Query Parameters
Name
Type
Description
Get document metadata by id
Get a single document metadata
Last updated